> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crazyrouter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling 高级功能

> Kling 高级功能：虚拟试穿

> 更新日期：2026-06-06

# Kling 高级功能

## 虚拟试穿

```
POST /kling/v1/images/kolors-virtual-try-on
```

当前公开接通的 Kling 高级能力只有虚拟试穿。该路径已经完成 bounded 成功验证，并已打通 `任务成功 -> R2 归档 -> media.crazyrouter.com` 闭环。

### 请求参数

| 参数                 | 类型     | 必填 | 说明                                                           |
| ------------------ | ------ | -- | ------------------------------------------------------------ |
| `model_name`       | string | 否  | 常见模型：`kolors-virtual-try-on-v1`、`kolors-virtual-try-on-v1-5` |
| `human_image`      | string | 是  | 人物图，支持 URL 或 Base64                                          |
| `cloth_image`      | string | 是  | 服装图，支持 URL 或 Base64                                          |
| `callback_url`     | string | 否  | 回调地址                                                         |
| `external_task_id` | string | 否  | 业务侧自定义任务 ID                                                  |

### 请求示例

```bash cURL theme={null}
curl -X POST https://api.crazyrouter.com/kling/v1/images/kolors-virtual-try-on \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "model_name": "kolors-virtual-try-on-v1",
    "human_image": "https://example.com/person.jpg",
    "cloth_image": "https://example.com/jacket.jpg"
  }'
```

### 提交成功响应示例

```json theme={null}
{
  "created_at": 1774585120,
  "id": "866361099762425934",
  "model": "kolors-virtual-try-on-v1",
  "object": "video",
  "progress": 0,
  "status": "",
  "task_id": "866361099762425934"
}
```

## 查询试穿任务

```
GET /kling/v1/images/kolors-virtual-try-on/{task_id}
```

```bash cURL theme={null}
curl https://api.crazyrouter.com/kling/v1/images/kolors-virtual-try-on/866361099762425934 \
  -H "Authorization: Bearer YOUR_API_KEY"
```

### 响应示例（已完成）

```json theme={null}
{
  "code": "success",
  "message": "",
  "data": {
    "status": "succeeded",
    "task_id": "866361099762425934",
    "url": "https://media.crazyrouter.com/task-artifacts/2026/03/27/50/tryOnGenerate/866361099762425934.png"
  }
}
```

<Note>
  当前不要把口型同步、视频延长、视频特效等其它 Kling 高级能力写成已开放接口。它们仍未进入 Crazyrouter 的公开 contract。
</Note>
